<?php

function easy_opt_plugin_settings_page() {
  ?>
  <div class="lazywrap">

    <form method="post" action="options.php">
	 <h1>Lazyload CSS Settings</h1>
      <?php
      settings_fields('plugin_options');
      do_settings_sections('plugin');
      submit_button();
      ?>
		<p style="color:white" class="noticep">
			Note: This plugin will lazy-load the style you specify in the above field. If you specify an important theme CSS file or any CSS file that is used on the viewport or above the fold of your website, there may be a chance that your website layout will not load properly. Therefore, it is recommended to only lazy-load CSS files that are used below the fold (content that is not visible without scrolling down). For example, you can add multiple font files or icons that are not important to load early in each field, such as: <br> fonts.google.com/poppins or ekiticons.css.</p>
    </form>
  </div>
  <?php
}

function easy_opt_add_plugin_menu_item() {
  add_options_page('LazyLoad CSS Settings', 'Lazyload CSS', 'manage_options', 'easy-optimizer', 'easy_opt_plugin_settings_page');
}
add_action('admin_menu', 'easy_opt_add_plugin_menu_item');

function easyopt_lazyloadcss_register_settings() {
  register_setting('plugin_options', 'href_strings');
  add_settings_section('plugin_section', '', '', 'plugin');
  add_settings_field('href_strings', 'Lazyload CSS files', 'easyopt_lazyload_css_option_callback', 'plugin', 'plugin_section');
}
add_action('admin_init', 'easyopt_lazyloadcss_register_settings');

function easyopt_lazyload_css_option_callback() {
  $href_strings = get_option( 'href_strings' );
  ?>
  <div id="href-strings-wrap">
    <?php
    if ( $href_strings ) {
      foreach ( $href_strings as $href_string ) {
        ?>
        <div class="href-string">
          <input type="text" name="href_strings[]" value="<?php echo esc_attr( $href_string ); ?>" placeholder="Enter the URL of the CSS file, for example: /someplugin/icons.css" style="width: 70%">
        </div>
        <?php
      }
    } else {
      ?>
      <div class="href-string">
        <input type="text" name="href_strings[]" value="<?php echo esc_attr( $href_string ); ?>" placeholder="Enter the URL of the CSS file, for example: /someplugin/icons.css" style="width: 70%">
      </div>
      <?php
    }
    ?>
  </div>
  <button type="button" id="add-href-string">Add Field</button>
  <button type="button" id="remove-href-string">Remove Field</button>
  <?php
}

